<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
  <% include _head %>
</head>

<body>
  <% include _loading %>
  <nav class="navbar">
    <% include _lang %>
  </nav>
  <div class="container">
    <div class="jumbotron">
      <h1 class="display-3"><%= __('ajouterClasse_title') %></h1>
      <div class="row">
        <div class="col-md-8">
          <input type="text" name="classeName" id="classeName" class="form-control form-control-lg"
            placeholder="<%= __('ajouterClasse_placeholder') %>" required autofocus>
        </div>
        <div class="col-md-4">
          <% if(typeof(degres) !== "undefined") { %>
          <select name="degre" id="degre" class="custom-select custom-select-lg" required>
            <option selected disabled value=""><%= __('ajouterClasse_select') %></option>
            <% degres.forEach(degre => { %>
            <option value="<%= degre.id %>"><%= degre.degre %></option>
            <% }); %>
          </select>
          <% } %>
        </div>
      </div>
      <div class="row mt-5">
        <div class="col-md-12">
          <h3 class="display-5"><%= __('ajouterClasse_addStudents') %></h3>

        </div>
        <div class="col-md-12">
          <div class="input-group">
            <input type="text" name="eleves" class="d-none">
            <input type="text" name="eleveName" id="eleveName" class="form-control">
            <span class="input-group-append">
              <input type="button" value="<%= __('ajouterClasse_add') %>" class="btn btn-primary"
                onclick="ui_createclasse.addEleveToClasse();">
            </span>
          </div>
          <small style="color: red; font-style: italic;"><%= __('ajouterClasse_warningForStudentName') %></small>
        </div>
      </div>
    </div>
    <div class="row mt-3">
      <div class="col-md-8">
        <h3 class="display-5"><%= __('ajouterClasse_list') %></h3>
      </div>
      <div class="col-md-4">
        <input type="button" value="<%= __('ajouterClasse_cancel') %>" class="mr-3 btn btn-danger"
          onclick="window.location.href='/classes'">
        <input type="button" onclick="ui_createclasse.createClasse()" value="<%= __('ajouterClasse_addClass') %>"
          class="btn btn-success">
      </div>
      <div class="col-md-8">
        <div class="d-none form-group" id="swal_text"><%= __('ajouterClasse_sameStudentName') %></div>
        <p id="placeholderEleve"><%= __('ajouterClasse_noStudents') %></p>
        <ul id="lstEleve" class="list-group">
        </ul>
      </div>
    </div>
  </div>
  <script type="text/javascript" src="/scripts/wrk/wrk.js"></script>
  <script type="text/javascript" src="/scripts/ui/ui_createclasse.js"></script>
</body>

</html>